profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingMedia Library

Headless

Quick startSplit Screen JSON Component Builder with LLMComponent Zod Pull

REST API

REST API 概要getウェブサイトを CMS API に接続するgetGET /routesgetGET /routegetGET /blocksgetGET /blocks/with-cel-cachegetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostCSV 投稿patchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /blocks/with-cel-cache

ブロックを取得し、評価済みのフィールドレベル CEL スクリプトを公開コンテンツにマージします。

GET /blocks と同様ですが、各ブロックに登録されているフィールドレベルの CEL スクリプトも評価し、その結果を各ブロックの published_content にマージします。ブロックに計算フィールドが含まれている場合に使用します。

認証: API キー(x-api-key ヘッダーまたは api_key クエリパラメーター)。

クエリパラメーター

パラメーター型必須備考
websiteIduuidいいえ対象 Web サイト。指定がない場合は Host ヘッダーまたは設定が使用されます。
blockIdsstringいいえカンマ区切りのブロック UUID。注: blockIds であり、ids ではありません。
routePathstringいいえCEL の meta コンテキスト用のルートパス。
paramsstringいいえルートパラメーターの URL エンコードされた JSON オブジェクト。例: {"code":"JFK"}。
localestringいいえmeta.locale と翻訳済みルックアップ用のロケール。既定値は en。
api_keystringいいえx-api-key ヘッダーの代替手段。

レスポンス

{
  "blocks": [
    {
      "id": "...",
      "schema_name": "hero-block",
      "published_content": {},
      "cached_fields": ["hero.title", "hero.subtitle"]
    }
  ]
}

各要素はブロック(GET /blocks と同じフィールド)であり、CEL によって埋め込まれたドットパスを列挙する省略可能な cached_fields 配列が含まれます。何も計算されなかった場合、cached_fields は省略されます。ブロックの published_content が null でない場合にのみ CEL がマージされます。

例

curl '{CMS_API_URL}/blocks/with-cel-cache?websiteId=<uuid>&blockIds=<id1>,<id2>&locale=en' \
  -H 'x-api-key: <key>'

エラー

  • 400 — blockIds に無効な UUID が指定されている、または Web サイトを解決できない
  • 401 — 無効な API キー
  • 500 — CEL エンジンの障害
Continue Reading
Previous‹GET /blocksNextGET /blocks/generated›